export declare function generateRankOption(name: string, data: {
    name: string;
    value: number;
    avatar?: string;
}[]): {
    tooltip: {
        trigger: string;
        axisPointer: {
            type: string;
        };
    };
    title: {
        text: string;
    };
    grid: {
        left: string;
        right: string;
        bottom: string;
        containLabel: boolean;
    };
    xAxis: {
        type: string;
        boundaryGap: number[];
    };
    yAxis: {
        type: string;
        data: string[];
        axisLabel: {
            formatter: (value: any, index: any) => string;
            rich: {
                img: {
                    height: number;
                    align: string;
                    backgroundColor: {
                        image: (params: any) => string;
                    };
                };
            };
        };
    };
    series: {
        name: string;
        type: string;
        data: number[];
        label: {
            show: boolean;
            position: string;
        };
        itemStyle: {
            color: (params: any) => string;
        };
    }[];
};
